Package: org.codehaus.groovy.antlr

## [Java] Class LexerFrame

- org.codehaus.groovy.antlr.LexerFrame

- All Implemented Interfaces and Traits:
    ActionListener

      public class LexerFrame
      extends JFrame

  Swing application to graphically display the tokens produced by the lexer.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JFrame` | `EXIT_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE, DISPOSE_ON_CLOSE, EXIT_ON_CLOSE, DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`
    `class Frame` | `DEFAULT_CURSOR, CROSSHAIR_CURSOR, TEXT_CURSOR, WAIT_CURSOR, SW_RESIZE_CURSOR, SE_RESIZE_CURSOR, NW_RESIZE_CURSOR, NE_RESIZE_CURSOR, N_RESIZE_CURSOR, S_RESIZE_CURSOR, W_RESIZE_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, MOVE_CURSOR, NORMAL, ICONIFIED, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MAXIMIZED_BOTH, TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LexerFrame (Class lexerClass, Class tokenTypesClass)` Constructor used when invoking as a standalone application
    `LexerFrame (Class lexerClass, Class tokenTypesClass, Reader reader)` Constructor used when invoking for a specific file

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `actionPerformed(ActionEvent ae)`
    `` | `static LexerFrame` | `groovyScriptFactory(String scriptText)` Creates a Groovy language LexerFrame for the given script text
    `` | `static void` | `main(String[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JFrame` | `remove, update, setLayout, getAccessibleContext, getGraphics, getRootPane, getTransferHandler, repaint, setTransferHandler, getDefaultCloseOperation, isDefaultLookAndFeelDecorated, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, getGlassPane, getJMenuBar, setContentPane, setGlassPane, setJMenuBar, setLayeredPane, getContentPane, getLayeredPane, setIconImage, remove, getState, setState, isResizable, setResizable, setCursor, addNotify, removeNotify, setBackground, getTitle, setTitle, setUndecorated, isUndecorated, getMenuBar, setMenuBar, setOpacity, setShape, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, setExtendedState, setMaximizedBounds, getType, isOpaque, setSize, setSize, getOwner, setType, pack, addPropertyChangeListener, addPropertyChangeListener, dispose, getLocale, isActive, getFocusOwner, getFocusTraversalKeys, getMostRecentFocusOwner, postEvent, setFocusCycleRoot, createBufferStrategy, createBufferStrategy, getBufferStrategy, getInputContext, getToolkit, isFocusableWindow, setCursor, show, getListeners, getBackground, getFocusCycleRootAncestor, hide, isFocusCycleRoot, isShowing, isValidateRoot, paint, reshape, setBounds, setBounds, setLocation, setLocation, setMinimumSize, setVisible, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, getFocusableWindowState, getIconImages, getModalExclusionType, getOpacity, getOwnedWindows, getOwnerlessWindows, getShape, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, getWindows, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocused, isLocationByPlatform, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setAutoRequestFocus, setFocusableWindowState, setIconImages, setLocationByPlatform, setLocationRelativeTo, setModalExclusionType, toBack, toFront, add, add, add, add, add, remove, list, list, print, removeAll, invalidate, locate, layout, validate, getComponent, getLayout, getComponents, getComponentAt, getComponentAt, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getMousePosition, insets, isAncestorOf, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusTraversalPolicyProvider, transferFocusDownCycle, getAlignmentX, getAlignmentY, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, isFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, getComponentCount, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, setName, list, list, list, getSize, getSize, location, resize, resize, disable, enable, enable, isValid, setEnabled, isEnabled, action, bounds, getBounds, getBounds, removePropertyChangeListener, removePropertyChangeListener, setLocale, move, revalidate, getGraphicsConfiguration, getMousePosition, handleEvent, isFocusOwner, isFocusable, isLightweight, transferFocus, transferFocusBackward, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, setComponentOrientation, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, show, transferFocusUpCycle, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getFont, getFontMetrics, getForeground, getHeight, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getTreeLock, getWidth, getX, getY, isDisplayable, isDoubleBuffered, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isVisible, nextFocus, printAll, repaint, repaint, repaint, requestFocus, requestFocusInWindow, setForeground, setMaximumSize, setPreferredSize, dispatchEvent, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`
    `class Frame` | `remove, getState, setState, isResizable, setResizable, setCursor, getAccessibleContext, addNotify, removeNotify, setBackground, getTitle, setTitle, setUndecorated, isUndecorated, getMenuBar, setMenuBar, setIconImage, setOpacity, setShape, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, setExtendedState, setMaximizedBounds, getType, isOpaque, setSize, setSize, getOwner, setType, pack, addPropertyChangeListener, addPropertyChangeListener, dispose, getLocale, isActive, getFocusOwner, getFocusTraversalKeys, getMostRecentFocusOwner, postEvent, setFocusCycleRoot, createBufferStrategy, createBufferStrategy, getBufferStrategy, getInputContext, getToolkit, isFocusableWindow, setCursor, show, getListeners, getBackground, getFocusCycleRootAncestor, hide, isFocusCycleRoot, isShowing, isValidateRoot, paint, reshape, setBounds, setBounds, setLocation, setLocation, setMinimumSize, setVisible, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, getFocusableWindowState, getIconImages, getModalExclusionType, getOpacity, getOwnedWindows, getOwnerlessWindows, getShape, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, getWindows, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocused, isLocationByPlatform, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setAlwaysOnTop, setAutoRequestFocus, setFocusableWindowState, setIconImages, setLocationByPlatform, setLocationRelativeTo, setModalExclusionType, toBack, toFront, add, add, add, add, add, remove, remove, update, list, list, print, removeAll, invalidate, locate, layout, validate, getComponent, getLayout, getComponents, getComponentAt, getComponentAt, findComponentAt, findComponentAt, getComponentZOrder, getContainerListeners, getMousePosition, insets, isAncestorOf, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, minimumSize, paintComponents, preferredSize, printComponents, removeContainerListener, setComponentZOrder, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, getAlignmentX, getAlignmentY, getFocusTraversalPolicy, getInsets, getMaximumSize, getMinimumSize, getPreferredSize, isFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, getComponentCount, add, toString, getName, contains, contains, size, getLocation, getLocation, getParent, setName, list, list, list, getSize, getSize, location, resize, resize, disable, enable, enable, isValid, setEnabled, isEnabled, action, bounds, getBounds, getBounds, removePropertyChangeListener, removePropertyChangeListener, setLocale, move, revalidate, getGraphicsConfiguration, getMousePosition, handleEvent, isFocusOwner, isFocusable, isLightweight, transferFocus, transferFocusBackward, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, checkImage, checkImage, createImage, createImage, createVolatileImage, createVolatileImage, enableInputMethods, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, gotFocus, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isFocusTraversable, isFontSet, isForegroundSet, keyDown, keyUp, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, paintAll, prepareImage, prepareImage, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, setComponentOrientation, setDropTarget, setFocusTraversalKeysEnabled, setFocusable, setIgnoreRepaint, show, transferFocusUpCycle, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getTreeLock, getWidth, getX, getY, isDisplayable, isDoubleBuffered, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isVisible, nextFocus, printAll, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, setForeground, setMaximumSize, setPreferredSize, dispatchEvent, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public LexerFrame(Class lexerClass, Class tokenTypesClass)

      Constructor used when invoking as a standalone application

      Parameters:
        `lexerClass` - the lexer class to use
        `tokenTypesClass` - the lexer token types class

    - #### public LexerFrame(Class lexerClass, Class tokenTypesClass, Reader reader)

      Constructor used when invoking for a specific file

      Parameters:
        `lexerClass` - the lexer class to use
        `tokenTypesClass` - the lexer token types class

  - ### Method Detail

    - #### public void actionPerformed(ActionEvent ae)

    - #### public static LexerFrame groovyScriptFactory(String scriptText)

      Creates a Groovy language LexerFrame for the given script text

      Parameters:
        `scriptText` - the Groovy source file to parse/render
      Returns:
        the new frame rending the parsed tokens

    - #### public static void main(String[] args)